<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Mon May 04 17:34:24 EEST 2020 -->
<title>Serialized Form</title>
<meta name="date" content="2020-05-04">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="BusinessLayer/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;BusinessLayer</h2>
<ul class="blockList">
<li class="blockList"><a name="BusinessLayer.Administrator">
<!--   -->
</a>
<h3>Class BusinessLayer.Administrator extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>nume</h4>
<pre>java.lang.String nume</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="BusinessLayer.BaseProduct">
<!--   -->
</a>
<h3>Class BusinessLayer.BaseProduct extends BusinessLayer.MenuItem implements Serializable</h3>
</li>
<li class="blockList"><a name="BusinessLayer.Chef">
<!--   -->
</a>
<h3>Class BusinessLayer.Chef extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>nume</h4>
<pre>java.lang.String nume</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="BusinessLayer.CompositeProduct">
<!--   -->
</a>
<h3>Class BusinessLayer.CompositeProduct extends BusinessLayer.MenuItem implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>ingrediente</h4>
<pre>java.util.ArrayList&lt;E&gt; ingrediente</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="BusinessLayer.MenuItem">
<!--   -->
</a>
<h3>Class BusinessLayer.MenuItem extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>nume</h4>
<pre>java.lang.String nume</pre>
</li>
<li class="blockListLast">
<h4>pret</h4>
<pre>float pret</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="BusinessLayer.Order">
<!--   -->
</a>
<h3>Class BusinessLayer.Order extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>OrderID</h4>
<pre>int OrderID</pre>
</li>
<li class="blockList">
<h4>data</h4>
<pre>java.lang.String data</pre>
</li>
<li class="blockListLast">
<h4>table</h4>
<pre>int table</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="BusinessLayer.Restaurant">
<!--   -->
</a>
<h3>Class <a href="BusinessLayer/Restaurant.html" title="class in BusinessLayer">BusinessLayer.Restaurant</a> extends java.util.Observable implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>meniu</h4>
<pre>java.util.ArrayList&lt;E&gt; meniu</pre>
</li>
<li class="blockList">
<h4>comenzi</h4>
<pre>java.util.HashMap&lt;K,V&gt; comenzi</pre>
</li>
<li class="blockList">
<h4>admin</h4>
<pre>BusinessLayer.Administrator admin</pre>
</li>
<li class="blockList">
<h4>waiter</h4>
<pre>BusinessLayer.Waiter waiter</pre>
</li>
<li class="blockListLast">
<h4>chef</h4>
<pre>BusinessLayer.Chef chef</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="BusinessLayer.Waiter">
<!--   -->
</a>
<h3>Class BusinessLayer.Waiter extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>nume</h4>
<pre>java.lang.String nume</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="BusinessLayer/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
